---
title: "Checks that a certificate was issued and is not revoked, and given `of`, that it is one of that certificate."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › certificate

`GET /v1/stores/{store}/certificates/{certificate}/verify`

## Authentication

Requires one of the following:

- `bearer`, http, header `Authorization`
- `publishableKey`, apiKey, in header, header `Publishable-Key`

## Path parameters

- `store` (`verifyCertificate.path.store`; string, required) — A hostname of the store.
- `certificate` (`verifyCertificate.path.certificate`; string, required)
  - minLength 1

## Query parameters

- `of` (`verifyCertificate.query.of`; string, optional) — An id.
  - minLength 1

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/certificates/<certificate>/verify' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/certificates/<certificate>/verify';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/certificates/<certificate>/verify"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Checks that a certificate was issued and is not revoked, and given `of`, that it is one of that certificate.

#### Example

```json
{
  "id": "string",
  "certificate_id": "string",
  "issued_at": "string",
  "score": 0,
  "holder": "string",
  "headline_copy": "string",
  "title_copy": "string",
  "product": {
    "id": "string",
    "slug": "string",
    "path": "string",
    "url": "string",
    "title": "string",
    "category": "string",
    "deleted": true
  }
}
```

- `id` (`verifyCertificate.response.200.id`; string, required)
- `certificate_id` (`verifyCertificate.response.200.certificate_id`; string, required)
- `issued_at` (`verifyCertificate.response.200.issued_at`; any of, required)
  - any of: `string`, `null`
- `score` (`verifyCertificate.response.200.score`; any of, required)
  - any of: `number`, `null`
- `holder` (`verifyCertificate.response.200.holder`; any of, required)
  - any of: `string`, `null`
- `headline_copy` (`verifyCertificate.response.200.headline_copy`; string, required)
- `title_copy` (`verifyCertificate.response.200.title_copy`; any of, required)
  - any of: `string`, `null`
- `product` (`verifyCertificate.response.200.product`; any of, required)
  - any of: `object`, `null`

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`verifyCertificate.response.default.type`; string, required)
  - format `uri`
- `title` (`verifyCertificate.response.default.title`; string, required)
- `status` (`verifyCertificate.response.default.status`; integer, required)
- `detail` (`verifyCertificate.response.default.detail`; string, required)
- `code` (`verifyCertificate.response.default.code`; string, optional)
- `context` (`verifyCertificate.response.default.context`; object, optional)
- `reached_core` (`verifyCertificate.response.default.reached_core`; boolean, optional)
- `core_answer` (`verifyCertificate.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/verify-certificate/index.md
